import { GlobalThemeOverrides } from 'naive-ui'

export const themeOverrides: GlobalThemeOverrides = {
  common: {
    primaryColor: '#000DFF',
    primaryColorHover: '#575FFF',
    primaryColorPressed: '#4B52DB',
    primaryColorSuppl: '#575FFF',
    heightMedium: '32px',
    borderRadius: '5px',
    tableHeaderColor: '#F7F7FA',
    textColor1: '#333333',
    fontFamily: 'SourceHanSansCN-Regular',
  },
  LoadingBar: {
    colorLoading: '#000DFF',
  },
  DataTable: {
    thTextColor: '#333333',
    tdTextColor: '#333333',
  },
  Button: {
    colorInfo: '#FFFFFF',
    colorHoverInfo: '#EFF0FF',
    colorPressedInfo: '#EFF0FF',
    colorFocusInfo: '#EFF0FF',
    colorDisabledInfo: '#FFFFFF',

    textColorInfo: '#575FFF',
    textColorHoverInfo: '#575FFF',
    textColorPressedInfo: '#575FFF',
    textColorFocusInfo: '#575FFF',
    textColorDisabledInfo: '#999999',

    textColorGhostInfo: '#575FFF',
    textColorGhostHoverInfo: '#6F7FFF',
    textColorGhostPressedInfo: '#6F7FFF',
    textColorGhostFocusInfo: '#6F7FFF',

    borderInfo: '1px solid #575FFF',
    borderHoverInfo: '1px solid #575FFF',
    borderPressedInfo: '1px solid #575FFF',
    borderFocusInfo: '1px solid #575FFF',
    borderDisabledInfo: '1px solid #CCCCCC',

    rippleColorInfo: '#6F7FFF',
  },
  Menu: {
    itemColorHover: '#EFF0FF',
    itemHeight: '40px',
  },
  Pagination: {
    itemColor: '#FFFFFF',
    itemTextColorActive: '#FFFFFF',
    itemTextColorPressed: '#000DFF',
    itemTextColorHover: '#000DFF',
    itemColorActive: '#000DFF',
    itemColorActiveHover: '#000DFF',
    jumperTextColor: '#999999',
    itemMarginMedium: '0 0 0 5px',
    buttonBorder: 'none',
    buttonBorderHover: 'none',
    buttonBorderPressed: 'none',
    itemBorderDisabled: 'none',
  },
}
