import { type RouteRecordRaw } from 'vue-router'
import Layout from '@/layout/index.vue'

export default [
  {
    path: '/order/manage',
    meta: {
      rank: 1001,
      title: '',
    },
    component: Layout,
    children: [
      {
        path: '',
        name: 'OrderManage',
        meta: {
          rank: 1001,
          title: '',
        },
        component: () => import('@/views/order-manage/order-manage.vue'),
        redirect: '/order/manage/package',
        children: [
          {
            path: 'package',
            name: 'OrderManagePackage',
            meta: {
              rank: 1001,
              title: 'common_module.package',
            },
            component: () => import('@/views/order-manage/components/package-manage.vue'),
          },
          {
            path: 'recharge',
            name: 'OrderManageRecharge',
            meta: {
              rank: 1001,
              title: 'common_module.recharge',
            },
            component: () => import('@/views/order-manage/components/recharge-manage.vue'),
          },
        ],
      },
    ],
  },
] as RouteRecordRaw[]
